Bug 35092 - Inking functionality: Ink drawings / annotations with Stylus, Pen or Finger on Touchscreen or Tablet
Summary: Inking functionality: Ink drawings / annotations with Stylus, Pen or Finger o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: low enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
: 81299 (view as bug list)
Depends on:
Blocks: Win-Tablet-Mode
  Show dependency treegraph
 
Reported: 2011-03-07 11:25 UTC by Ian McInerney
Modified: 2017-07-07 17:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian McInerney 2011-03-07 11:25:21 UTC
It would be nice to include inking functionality in the LibreOffice Writer product. When my school was looking at purchasing Office 2007 they compared it against the OpenOffice version at the time, and the only show stopper was the lack of tablet support.

Adding in the ability to use a tablet pen to draw lines like in Xournal, would be an acceptable implementation of this feature.
Comment 1 Don't use this account, use tml@iki.fi 2011-03-07 11:37:24 UTC
Just out of interest, what *exactly* are they using a tablet input for in MS Office? Handwriting input that is then recognized and turned into normal text in Word? Or drawing in an artistic or more technical illustration sense? (But would MS Office really be the app to do such stuff in, hardly...?) Or just as a more "natural" pointing device, but basically as a mouse?

BTW, do you mean "tablet computers" or separate tablet (and associated pen) input devices, the best known manufacturer of which is Wacom?

(And when I say "tablet computer", I mean the kind that have been around for years, running Windows, even if never really popular, not new stuff that is being released / marketed as a response to the iPad.)
Comment 2 Ian McInerney 2011-03-07 12:38:57 UTC
We are using the inking functionality on the tablet computers which have been around for years (Examples include the Lenovo X61 or Toshiba M780) to have students hand-write equations and answers into labs and worksheets. Hand-writting recognition is not used at all, and is actually not available in the MS Word functionality. This would basically be a more natural device to use for writing and drawings.
Comment 3 Don't use this account, use tml@iki.fi 2011-03-07 22:46:52 UTC
OK, so basically what you would want is for LibreOffice be able to acccept tablet computer input into images, with just a black-and-white "trail" of the pen being collected? (I have no idea how hard that would be to implement; I certainly don't want to give the impression that any developer would start working on it right away.)
Comment 4 Ian McInerney 2011-03-13 19:35:53 UTC
That is basically what I would like to see. There is no pressure to implement this, I just feel that if this could be implemented LibreOffice would be one feature closer to being more useful than MS Office.
Comment 5 Don't use this account, use tml@iki.fi 2011-03-13 23:02:46 UTC
Well, LibreOffice runs on Linux and BSD, Microsoft Office doesn't, so isn't it already infinitely more useful?
Comment 6 Björn Michaelsen 2011-12-23 11:48:02 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 7 sasha.libreoffice 2012-01-20 06:12:03 UTC
I guess that this functionality is not yet implemented and change status to New
Comment 8 Joel Madero 2014-07-13 01:33:31 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 9 Jorendc 2014-07-16 11:38:00 UTC
*** Bug 81299 has been marked as a duplicate of this bug. ***
Comment 10 Gerry 2017-07-07 15:43:59 UTC
More and more devices (i.e. notebooks and tablets) have touch screens and support stylus, pen or finger input. Support for ink drawings / annotations is helpful on these devices.

Competitive comparison:

https://support.office.com/en-us/article/Draw-and-write-with-ink-in-Office-6d76c674-7f4b-414d-b67f-b3ffef6ccf53?ui=en-US&rs=en-US&ad=US